Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Class Md5Passwd

    java.lang.Object
      org.jasig.portal.security.Md5Passwd

    public class Md5Passwd

extends java.lang.Object

A utility class that demonstrates changing and locking md5 passwords in the UP_PERSON_DIR table. The program accepts two optional flags `-c` causes the user to be created if he/she doesn't exist. The `-l` flag causes the specified user's account to be locked.

Version:
  $Revision: 1.2 $
Author:
  Andrew Newman, newman@yale.edu

Field Summary
`private static java.lang.String` | `INSERTSTMT`
`private static java.lang.String` | `SELECTSTMT`
`private static java.lang.String` | `UPDATESTMT`

Constructor Summary
`Md5Passwd(java.lang.String user, boolean create, boolean lock)`

Method Summary
`private static java.lang.String` | `encode(byte[] raw)`
`private static char[]` | `encodeBlock(byte[] raw, int offset)`
`private static char` | `getChar(int sixBit)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTSTMT

    private static final java.lang.String SELECTSTMT

See Also:
  Constant Field Values

### UPDATESTMT

    private static final java.lang.String UPDATESTMT

See Also:
  Constant Field Values

### INSERTSTMT

    private static final java.lang.String INSERTSTMT

See Also:
  Constant Field Values

Constructor Detail

### Md5Passwd

    public Md5Passwd(java.lang.String user,
                     boolean create,
                     boolean lock)
              throws java.io.IOException,
                     java.security.NoSuchAlgorithmException,
                     java.sql.SQLException

Throws:
  `java.io.IOException`
  `java.security.NoSuchAlgorithmException`
  `java.sql.SQLException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            java.security.NoSuchAlgorithmException,
                            java.sql.SQLException

  Throws:
    `java.io.IOException`
    `java.security.NoSuchAlgorithmException`
    `java.sql.SQLException`

### encode

    private static java.lang.String encode(byte[] raw)

### encodeBlock

    private static char[] encodeBlock(byte[] raw,
                                      int offset)

### getChar

    private static char getChar(int sixBit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD